#ifndef _LIS3LV02DQ_H__
#define _LIS3LV02DQ_H__

#include "m_i2c.h"

#define		LIS3L					0x3A

#define		LIS3L_AUTOINC			0x80

#define 	LIS3L_WHO_AM_I			0x0F
	
#define 	LIS3L_CTRL_REG1			0x20
#define 	LIS3L_CTRL_REG2			0x21
#define 	LIS3L_CTRL_REG3			0x22

#define		LIS3L_OUTX_L			0x28
#define		LIS3L_OUTX_H			0x29
#define		LIS3L_OUTY_L			0x2A
#define		LIS3L_OUTY_H			0x2B
#define		LIS3L_OUTZ_L			0x2C
#define		LIS3L_OUTZ_H			0x2D


// functions

void		LIS3L_Enable ();
uint8_t		LIS3L_WhoAmI ();

void		LIS3L_GetXYZ (int16_t * xvalue, int16_t * yvalue, int16_t * zvalue);
int16_t		LIS3L_GetX ();
int16_t		LIS3L_GetY ();
int16_t		LIS3L_GetZ ();

#endif
